//**** ATMEL AVR - A P P L I C A T I O N   N O T E  ************************
//*
//* Title:		AVR061 - STK500 Communication Protocol
//* Filename:		devices.h
//* Version:		1.0
//* Last updated:	09.09.2002
//*
//* Support E-mail:	avr@atmel.com
//*
//**************************************************************************

#ifndef __DEVICES_INCLUDED
#define __DEVICES_INCLUDED

/* 0x00-0x0F reserved */

/* 0x10-0x1F ATtiny 1K devices */

#define ATTINY10    0x10
#define ATTINY11    0x11
#define ATTINY12    0x12
#define ATTINY15    0x13

/* 0x20-0x2F ATtiny 2K devices */

#define ATTINY22    0x20
#define ATTINY26    0x21
#define ATTINY28    0x22

/* 0x30-0x3F ATclassic 1K devices */

#define AT90S1200   0x33

/* 0x40-0x4F ATclassic 2K devices */

#define AT90S2313   0x40
#define AT90S2323   0x41
#define AT90S2333   0x42
#define AT90S2343   0x43

/* 0x50-0x5F ATclassic 4K devices */

#define AT90S4414   0x50
#define AT90S4433   0x51
#define AT90S4434   0x52

/* 0x60-0x6F ATclassic 8K devices */

#define AT90S8515   0x60
#define AT90S8535   0x61
#define AT90C8534   0x62
#define ATMEGA8515  0x63
#define ATMEGA8535  0x64

/* 0x70-0x7F ATmega 8K devices */

#define ATMEGA8     0x70

/* 0x80-0x8F ATmega 16K devices */

#define ATMEGA161   0x80
#define ATMEGA163   0x81
#define ATMEGA16    0x82
#define ATMEGA162   0x83
#define ATMEGA169   0x84

/* 0x90-0x9F ATmega 32K devices */

#define ATMEGA323   0x90
#define ATMEGA32    0x91

/* 0xA0-0xAF ATmega 64K devices */

/* 0xB0-0xBF ATmega 128K devices */

#define ATMEGA103   0xB1
#define ATMEGA128   0xB2

/* 0xC0-0xCF not used */

/* 0xD0-0xDF Other devices */
#define AT86RF401   0xD0

/* 0xE0-0xEF AT89 devices */
#define AT89START   0xE0
#define AT89S51	    0xE0
#define AT89S52	    0xE1

/* 0xF0-0xFF reserved */

#define DEFAULTDEVICE	AT90S8515

/*
struct device
{
	unsigned char ucId;			// Device ID
	unsigned char ucRev;			// Device revision

	unsigned long dwFlashSize;		// FLASH memory
	unsigned int  wEepromSize;		// EEPROM memory

	unsigned char ucFuseBytes;		// Number of fuse bytes
	unsigned char ucLockBytes;		// Number of lock bytes

	unsigned char ucSerFProg;		// (internal) Serial fuse programming support
	unsigned char ucSerLProg;		// (internal) Serial lockbit programming support
	unsigned char ucSerFLRead;		// (internal) Serial fuse/lockbit reading support
	unsigned char ucCommonLFR;		// (internal) Indicates if lockbits and fuses are combined on read
	unsigned char ucSerMemProg;		// (internal) Serial memory progr. support

	unsigned int  wPageSize;		// Flash page size
	unsigned char ucEepromPageSize;		// Eeprom page size (extended parameter)

	unsigned char ucSelfTimed;		// True if all instructions are self timed
	unsigned char ucFullPar;		// True if part has full paralell interface
	unsigned char ucPolling;		// True if polling can be used during SPI access

	unsigned char ucFPol;			// Flash poll value
	unsigned char ucEPol1;			// Eeprom poll value 1
	unsigned char ucEPol2;			// Eeprom poll value 2

	PGM_P name;			// Device name

	unsigned char ucSignalPAGEL;	// Position of PAGEL signal (0xD7 by default)
	unsigned char ucSignalBS2;		// Position of BS2 signal (0xA0 by default)
};
*/
#endif
