/**
	Autor: Matthias Weier<br>
	Copyright 2005: Matthias Weier<br>
	License: QPL (see license.txt)
*/

#ifndef SPI_H_INCLUDED
#define SPI_H_INCLUDED

#define SPI_SPEED_4MHZ		0
#define SPI_SPEED_2MHZ		1
#define SPI_SPEED_1MHZ		2	
#define SPI_SPEED_500KHZ	3
#define SPI_SPEED_250KHZ	4
#define SPI_SPEED_125KHZ	5
#define SPI_SPEED_62KHZ		6

#define SPI_SPEED_HIGH		SPI_SPEED_4MHZ
#define SPI_SPEED_LOW		SPI_SPEED_62KHZ

void spi_enable(void);
void spi_disable(void);
void spi_reset(void);
void spi_set_speed(unsigned char s);
void spi_clock_pulse(void);
unsigned char spi_transfer_8(unsigned char d);
unsigned char spi_transfer_16(unsigned int d);
unsigned char spi_transfer_32(unsigned long d);


#endif
